* {
    box-sizing: border-box;
}

html {
    font-size: 62.5%;
    scroll-behavior: smooth;
}

body {
    font-size: 1.6rem;
    font-family: "Poppins", sans-serif;
}

/* Common */

.d-none {
    display: none;
}

a {
    text-decoration: none;
}
.content {
    width: 1170px;
    margin: auto;
}

.btn {
    cursor: pointer;
    border: none;
    padding: 12px 20px;
    border-radius: 10px;
    background: #b39359;
    color: #ffffff;
    font-size: 1.6rem;
    font-weight: 400;
}

.btn:hover {
    opacity: 0.8;
}
/* Header */

.fixed-header {
    background: #0b2c3d;
    padding-top: 50px;
    position: sticky;
    top: -50px;
    z-index: 1;
}
.fixed-header .logo {
    width: 120px;
    height: 55px;
    object-fit: cover;
}
.fixed-header .navbar {
    display: flex;
    align-items: center;
    padding: 8px 0;
}

.fixed-header ul {
    display: flex;
    gap: 40px;
    margin-left: auto;
}

.navbar ul a {
    color: white;
    font-size: 1.8rem;
    font-weight: 600;
}

.navbar ul a:hover {
    color: #b39359;
}
.navbar .avatar {
    cursor: pointer;
    margin-left: 20px;
    width: 40px;
    height: 40px;
    object-fit: cover;
    border-radius: 50%;
}

.navbar .btn {
    margin-left: 30px;
}

.navbar .avatar-block {
    position: relative;
}

.navbar .avatar-block:hover > .action-block {
    display: block;
}
.navbar .action-block {
    display: none;
    position: absolute;
    padding: 15px 30px;
    min-width: 192px;
    background-color: #e0e0b7;
    border-radius: 8px;
    opacity: 0.9;
    right: 0;
}

.navbar .action-block a {
    display: inline-block;
    color: #0b2c3d;
    font-size: 1.5rem;
    cursor: pointer;
}
.navbar .action-block .desc {
    padding-bottom: 10px;
}

/* Side bar */
.sidebar {
    position: relative;
    display: flex;
    justify-content: space-between;
    display: none;
}

.sidebar #list-item-sidebar {
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100%;
}
.sidebar .menu {
    position: fixed;
    right: 0;
    top: 0;
    bottom: 0;
    background-color: #b39359;
    width: 50%;
    padding: 10px;
    transform: translateX(100%);
    transition: all 0.5s ease;
}

.sidebar .cover-close {
    display: none;
    z-index: -1;
    position: fixed;
    top: 0;
    bottom: 0;
    right: 0;
    left: 0;
    background-color: black;
    opacity: 0.3;
}
.sidebar ul {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 30px;
}

.sidebar #trigger {
    display: none;
}

.sidebar #trigger:checked ~ .cover-close{
    display: block;
}

.sidebar #trigger:checked ~ .menu{
    transform: translateX(0%);
}
.sidebar ul li a {  
    font-size: 2rem;
    color: #fff;
}

.sidebar .login-title,
.sidebar .signup-title {
    display: inline-block;
    font-size: 1.6rem;
    background-color: #0b2c3d;
    padding: 13px 20px;
    border-radius: 999px;
}
.sidebar-block .fa-xmark {
    cursor: pointer;
    position: absolute;
    font-size: 3rem;
    top: 8px;
    left: 8px;
    color: #fff;
}
.sidebar-block .fa-bars {
    cursor: pointer;
    font-size: 3rem;
    color: #fff;
    margin-top: 10px;
}
.sidebar .desc {
    font-size: 3rem;
    color: #0b2c3d;
}

.sidebar .profile-info,
.sidebar .real-estate-manage {
    color: #fff;
    font-size: 1.8rem;
}
.sidebar hr {
    width: 110px;
}
.sidebar .signout-sidebar {
    background-color: #0b2c3d;
    padding: 10px 20px;
    border-radius: 999px;
    cursor: pointer;
}
.sidebar .btn-add-property {
    background-color: #0b2c3d;
    padding: 10px 10px;
    border-radius: 999px;
    cursor: pointer;
}
/* Introduce */
.intro {
    background-image: url(../img/detail-img.jpg);
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    height: 500px;
    opacity: 0.9;
}

.intro .content {
    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 30px;
    color: #ffffff;
}

.intro .content .desc {
    font-weight: 700;
    font-size: 1.8rem;
}

.intro .title {
    font-weight: 600;
    font-size: 6.8rem;  
}
/* Details */
.detail .content {
    padding: 105px 0;
    display: flex;
    justify-content: space-between;
    gap: 50px;
}

.detail .estate-img {
    width: 100%;
    height: 450px;
    object-fit: cover;
    border-radius: 15px;
    box-shadow: 0px 6px 32px rgba(32, 31, 21, 0.5);
}

.detail .list {
    width: 100%;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    align-items: flex-start;
}

.detail .list .title {
    font-size: 3.6rem;
    color: #0b2c3d;
    font-weight: 600;
}
.detail .list .desc {
    width: 100%;
    padding: 10px 10px;
    border: 2px solid #0b2c3d;
    border-radius: 999px;
    margin-top: 20px;
}

/* project */

.project {
    padding: 50px 0;
}
.project .content .title{
    font-size: 3.8rem;
    font-weight: 600;
    line-height: 1.5;
}

.project .address {
    margin-top: 22px;
    font-size: 1.8rem;
    text-decoration: underline;
    color: #b39359;
}

.project .desc {
    margin-top: 22px;
    font-size: 1.8rem;
    letter-spacing: 3;
    line-height: 1.5;

}
.project .body {
    margin-top: 60px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: 50px;
}
.project .body .desc {
    width: 100%;
    font-size: 1.8rem;
}
.project .body .desc b {
    font-weight: bold;
}

.project .sub-title {
    font-size: 3.0rem;
    line-height: 1.75;
}
.project .project-img {
    width: 100%;
    height: 400px;
    object-fit: cover;
    border-top-left-radius: 100px;
    border-bottom-right-radius: 100px;
    border: 3px solid #ffffff;
    outline: 3px solid #b39359;
    outline-offset: 3px;
}

.project .project-feature {
    background-color: #d3b16f6b;
    padding: 20px;
    border-radius: 20px;
    width: 100%;
    display: flex;
    flex-direction: column;
    justify-content: center;
}

/* Contact */
.contact {
    position: relative;
    background: #0b2c3d;
}

.contact .content {
    padding: 90px 0;
}

.contact .title {
    font-size: 3.4rem;
    font-weight: 500;
    color: #ffffff;
}

.contact .desc {
    margin-top: 15px;
    font-size: 1.4rem;
    color: #b39359;
}

.contact .row {
    display: flex;
    justify-content: flex-start;
}
.contact .inp-block {
    margin-top: 30px;
    width: 100%;
    display: flex;
    align-items: center;
    margin-right: 10px;
}
.contact .inp-text {
    color: #b39359;
    width: 100%;
    padding: 20px 20px 20px 20px;
    background: transparent;
    border: 1.5px solid #b39359;
    border-radius: 9px;
}
.contact .btn {
    margin-top: 20px;
    font-size: 1.4rem;
}
.contact img {
    max-width: 20%;
    position: absolute;
    bottom: 0;
    right: 0;
}

/* Footer */
.footer {
    background-color: #eee;
    padding: 120px 0;
    background: url(../img/footer.webp);
    background-size: contain;
    background-position: bottom;
    background-repeat: no-repeat;
}

.footer .content {
    display: flex;
}

.footer .left-footer {
    width: 34%;
}

.footer .right-footer {
    width: 66%;
}
.footer .left-footer .desc {
    width: 270px;
    margin-top: 25px;
    font-size: 1.6rem;
    line-height: 1.6;
    color: #494949;
    font-weight: 500;
}

.footer .left-footer .copyright {
    margin-top: 40px;
    font-size: 1.4rem;
    line-height: 1.6;
    color: #494949;
    font-weight: 500;
}

.footer .left-footer .copyright span {
    color: #b39359;
}

.right-footer {
    display: flex;
    justify-content: space-between;
}

.right-footer .title {
    font-size: 2.2rem;
}

.right-footer .list {
    margin-top: 30px;
}

.right-footer .list li {
    margin-top: 20px;
}

.right-footer .list a {
    font-size: 1.6rem;
    color: #494949;
}

.right-footer .social-block {
    margin-top: 20px;
    display: flex;
    gap: 20px;
}

.right-footer .social-block a {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 20px;
    height: 20px;
    border-radius: 50%;
    background: #0b2c3d;
    color: #eee;
}

@media screen and (max-width: 1200px) {
    .content {
        max-width: 970px;
    }

    .intro .content .desc {
        text-align: center;
    }
}
@media screen and (max-width: 970px) {
    .content {
        max-width: 95%;
    }

    .detail .content {
        flex-direction: column;
    }

    /* intro */
    .intro .title {
        font-size: 4.5rem;
    }
    
    /* navbar */
    .fixed-header .navbar {
        display: none;
    }

    /* side bar */
    .sidebar {
        display: block;
        display: flex;
    }
    /* project */
    .project .body {
        flex-direction: column;
        justify-content: center;
        align-items: center;
    }
    /* contact */
    .contact .row {
        flex-direction: column;
    }
    /* footer */
    .footer .content {
        flex-direction: column-reverse;
        justify-content: space-between;
        gap: 50px;
    }
    .footer .left-footer {
        width: 100%;
    }
    .footer .right-footer {
        width: 100%;
    }
}
@media screen and (max-width: 570px) {
    .content {
        width: 90%;
    }
    .intro .title {
        font-size: 2.5rem;
    }
    /* side bar */
    .sidebar .menu {
        width: 80%;
    }
    /* estate */
    .estate .row {
        flex-direction: column;
    }
    /* footer */
    .footer .right-footer {
    flex-wrap: wrap;
    align-items: center;
    gap: 50px;
}
}